function onBegin()
    
    setFlag("ukiran_YTTL_timebunny", false) -- if you somehow show up WITH the factor, it makes it so you don't die during it. wow!
    disablePause() -- disables pausing so you dont fuck things up! wow!
    wait(0.4) -- waits for the slowdown to fully kick up

    -- plays the YTTL sound effect. The setFlag and wait allow for the words to sync, each text is timed.
    playSound("event:/ukiranMDspookFX/YTTL1")
    setFlag("ukiran_YTTL_start", true)
    wait(0.1)
    setFlag("ukiran_YTTL_youre", true)
    wait(0.4)
    setFlag("ukiran_YTTL_taking", true)
    wait(0.6)
    setFlag("ukiran_YTTL_too", true)
    wait(0.2)
    setFlag("ukiran_YTTL_long", true)
    wait(0.05)

    -- the glow of the text, barely noticable but nice nonetheless.
    setFlag("ukiran_YTTL_glowYoure", true)
    setFlag("ukiran_YTTL_glowTaking", true)
    setFlag("ukiran_YTTL_glowToo", true)
    setFlag("ukiran_YTTL_glowLong", true)

    wait(0.05)

    setFlag("ukiran_YTTL_glowYoure", false)
    setFlag("ukiran_YTTL_glowTaking", false)
    setFlag("ukiran_YTTL_glowToo", false)
    setFlag("ukiran_YTTL_glowLong", false)
    wait(0.70)
    
    playSound("event:/ukiranMDspookFX/YTTL_LAUGH")
    -- timebunny handles enabling the drain. Set the drain with the Drain Controller!
    setFlag("ukiran_YTTL_timebunny", true)


    -- housekeeping
    setFlag("ukiran_YTTL_start", false)
    setFlag("ukiran_YTTL_youre", false)
    setFlag("ukiran_YTTL_taking", false)
    setFlag("ukiran_YTTL_too", false)
    setFlag("ukiran_YTTL_long", false)

    enablePause()
end
